<ion-header>
  <ion-toolbar class="ios hydrated">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="index"></ion-back-button>
    </ion-buttons>
    <ion-title class="ios title-ios hydrated">Register Course</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content>
  <ion-list lines="full" class="ion-no-margin ion-no-padding ios list-ios list-lines-full list-ios-lines-full hydrated">
    <form [formGroup]="courseregForm" (ngSubmit)="onFormSubmit()">
      <ion-item>
        <ion-label position="floating">Name</ion-label>
        <ion-input formControlName="coursereg_name" type="text" required></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Matric Number</ion-label>
        <ion-input formControlName="artist" type="text" >
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Programme Code & Name (Eg. 3SCSP Data Engineering)</ion-label>
        <ion-input formControlName="rating" type="text" >
        </ion-input>
      </ion-item>

      <ion-list lines="full">
        <ion-list-header>
          <ion-label>Course List</ion-label>
        </ion-list-header>
  
        <ion-item>
          <ion-label position="floating" >Choose course</ion-label>
          <ion-select  formControlName="course1" >
            <ion-select-option value="SCSP3213 Data Analytics">SCSP3213 Data Analytics</ion-select-option>
            <ion-select-option value="SCSP3113 Application Development">SCSP3113 Application Development</ion-select-option>
            <ion-select-option value="SCSP3223 Software Engineering">SCSP3223 Software Engineering</ion-select-option>
            <ion-select-option value="SCSJ3221 Artificial Intelligence">SCSJ3221 Artificial Intelligence</ion-select-option>
          <!-- <ion-input formControlName="status" type="text" > -->
          </ion-select>
        </ion-item>

        <ion-item>
          <ion-label position="floating" >Choose course</ion-label>
          <ion-select  formControlName="course2" >
            <ion-select-option value="SCSP3213 Data Analytics">SCSP3213 Data Analytics</ion-select-option>
            <ion-select-option value="SCSP3113 Application Development">SCSP3113 Application Development</ion-select-option>
            <ion-select-option value="SCSP3223 Software Engineering">SCSP3223 Software Engineering</ion-select-option>
            <ion-select-option value="SCSJ3221 Artificial Intelligence">SCSJ3221 Artificial Intelligence</ion-select-option>
          <!-- <ion-input formControlName="status" type="text" > -->
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label position="floating" >Choose course</ion-label>
          <ion-select  formControlName="course3" >
            <ion-select-option value="SCSP3213 Data Analytics">SCSP3213 Data Analytics</ion-select-option>
            <ion-select-option value="SCSP3113 Application Development">SCSP3113 Application Development</ion-select-option>
            <ion-select-option value="SCSP3223 Software Engineering">SCSP3223 Software Engineering</ion-select-option>
            <ion-select-option value="SCSJ3221 Artificial Intelligence">SCSJ3221 Artificial Intelligence</ion-select-option>
          <!-- <ion-input formControlName="status" type="text" > -->
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label position="floating" >Choose course</ion-label>
          <ion-select  formControlName="course4" >
            <ion-select-option value="SCSP3213 Data Analytics">SCSP3213 Data Analytics</ion-select-option>
            <ion-select-option value="SCSP3113 Application Development">SCSP3113 Application Development</ion-select-option>
            <ion-select-option value="SCSP3223 Software Engineering">SCSP3223 Software Engineering</ion-select-option>
            <ion-select-option value="SCSJ3221 Artificial Intelligence">SCSJ3221 Artificial Intelligence</ion-select-option>
          <!-- <ion-input formControlName="status" type="text" > -->
          </ion-select>
        </ion-item>
        
        
  
      </ion-list>
      
      <ion-row>
        <ion-col>
          <ion-button type="submit" color="primary" shape="full" expand="block">Register Course</ion-button>
        </ion-col>
      </ion-row>
    </form>
    
  

  <div class="item-note" item-end>
    <ion-button clear [routerLink]="['/home3/']" name="add" >View Registration
    </ion-button>
    <ion-button clear [routerLink]="['/home4/']" name="add" >View Course List
    </ion-button>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
  </div>
</ion-list>
</ion-content>